
CREATE OR REPLACE PROCEDURE apagarProcesso (
    id_Processo   IN Processo.id%TYPE) AS
BEGIN
    DELETE FROM Audiencia WHERE id_Processo = Audiencia.id_processo;
    DELETE FROM Move WHERE id_Processo = Move.id_processo;
    DELETE FROM TESTEMUNHAR WHERE id_Processo = TESTEMUNHAR.id_Processo;
    DELETE FROM Processo WHERE id_Processo = Processo.id;

    COMMIT;
END apagarProcesso;
/

CREATE OR REPLACE PROCEDURE apagarTestemunha(
       p_cpf_testemunha IN TESTEMUNHA.CPF%TYPE) AS
BEGIN
     DELETE FROM testemunhar WHERE p_cpf_testemunha = testemunhar.cpf_testemunha;
     DELETE FROM depor WHERE p_cpf_testemunha = depor.cpf_testemunha;
     DELETE FROM testemunha WHERE p_cpf_testemunha = testemunha.cpf;
     COMMIT;
END apagarTestemunha;
/

CREATE OR REPLACE PROCEDURE apagarReu(
       p_cpf_reu IN REU.CPF%TYPE)AS
BEGIN
     DELETE FROM PROCESSO WHERE p_cpf_reu = PROCESSO.cpf_reu;
     DELETE FROM REU WHERE p_cpf_reu = REU.CPF;
     COMMIT;
END apagarReu;
/


CREATE OR REPLACE PROCEDURE apagarReclamante(
          p_cpf_reclamante    IN reclamante.CPF%TYPE) AS
 BEGIN
      DELETE FROM endereco WHERE (select id_endereco from RECLAMANTE r WHERE  p_cpf_reclamante = r.CPF) = endereco.id;
      DELETE FROM PROCESSO WHERE p_cpf_reclamante = cpf_reclamante;
      DELETE FROM reclamante WHERE p_cpf_reclamante = reclamante.cpf;
      COMMIT;
END apagarReclamante;
/

CREATE OR REPLACE PROCEDURE apagarJuiz(
       p_oab_juiz IN juiz.oab%TYPE)AS
BEGIN
   DELETE FROM PROCESSO WHERE p_oab_juiz = OAB_JUIZ;
   DELETE FROM JUIZ WHERE p_oab_juiz = oab;
   COMMIT;
END apagarJuiz;
/


select id_endereco from RECLAMANTE r WHERE  0002 = r.CPF
(select id_endereco from RECLAMANTE r WHERE  p_cpf_reclamante = r.CPF)
