create or replace function contar_processos_reu(p_cpf_reu in reu.cpf%type) return number is
    qtdProcessos  number;
    begin
        select count(*) into qtdProcessos from processo
        where cpf_reu = p_cpf_reu;
        return qtdProcessos;
    end;
/

create or replace function contar_processos_reclamante(p_cpf_reclamante in reclamante.cpf%type) return number is
    qtdProcessos  number;
    begin
        select count(*) into qtdProcessos from processo
        where cpf_reclamante = p_cpf_reclamante;
        return qtdProcessos;
    end;
/


select contar_processos_reu ('123') from dual;
select contar_processos_reclamante ('123') from dual;
